RichardsonExtrapolation Class Reference

Richardson Extrapolation. More...

`#include <ql/math/richardsonextrapolation.hpp>`

## Public Member Functions

| RichardsonExtrapolation (const ext::function< Real(Real)> &f, Real delta_h, Real n=Null< Real >())
Real | operator() (Real t=2.0) const
Real | operator() (Real t, Real s) const

## Detailed Description

Richardson Extrapolation.

Richardson Extrapolation is a sequence acceleration technique for

\[ f(\Delta h) = f_0 + \alpha\cdot (\Delta h)^n + O((\Delta h)^{n+1}) \]

References: http://en.wikipedia.org/wiki/Richardson_extrapolation

## Constructor & Destructor Documentation

## RichardsonExtrapolation()

RichardsonExtrapolation | ( | const ext::function< Real(Real)> & | f,
|  | Real | delta_h,
|  | Real | n = `Null< Real >()`
| ) |  |

Richardon Extrapolation

Parameters

  f | function to be extrapolated to delta_h -> 0
  delta_h | step size
  n | if known, n is the order of convergence

## Member Function Documentation

## operator()() [1/2]

Real operator() | ( | Real | t = `2.0` | ) | const

Extrapolation for known order of convergence

Parameters

  t | scaling factor for the step size

## operator()() [2/2]

Real operator() | ( | Real | t,
|  | Real | s
| ) |  | const

Extrapolation for unknown order of convergence

Parameters

  t | first scaling factor for the step size
  s | second scaling factor for the step size